Subject: Re: bug#22958: 25.0.91; universal-argument, self-insert and input-method, unexpected result

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Jul 2016 17:54:25 +0300

> From: Joakim Jalap <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 05 Jul 2016 14:14:37 +0200
> 
> I looked into it a bit more, and it seems to me the trouble is that
> `universal-argument--mode' uses `set-transient-map' to set
> `universal-argument-map' when `C-u' is pressed. This sets
> `overriding-terminal-local-map', which makes quail chicken out. Below
> are two different patches which fix the original problem. I have no idea
> if this is a good way to do it, but it seems to work for me :)

Thanks.  I like the first one better, but let's wait for comments from
others.